﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestExportToExcel
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            gridControl1.DataSource = GetDataTable();
        }

        private static DataTable GetDataTable()
        {
            DataTable dataTable = new DataTable("MyTable");
            dataTable.Columns.Add("One", typeof(int));
            dataTable.Columns.Add("Two", typeof(string));
            dataTable.Columns.Add("Three", typeof(string));
            dataTable.Columns.Add("Four", typeof(string));
            dataTable.Columns.Add("Five", typeof(string));
            dataTable.Columns.Add("Six", typeof(string));
            dataTable.Columns.Add("Seven", typeof(string));

            dataTable.Rows.Add(new object[] { 1, "Beverages", "Soft drinks" });
            dataTable.Rows.Add(new object[] { 2, "Condiments", "Sweet" });

            dataTable.AcceptChanges();

            return dataTable;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string sPath = Path.GetTempPath();
            Random oRand = new Random((int)DateTime.Now.Ticks);
            string sFile = "TestExcelDump" + oRand.Next() + ".csv";
            Syncfusion.GroupingGridExcelConverter.GroupingGridExcelConverterControl converter = new Syncfusion.GroupingGridExcelConverter.GroupingGridExcelConverterControl();
            converter.GroupingGridToExcel(gridControl1, sPath + sFile, Syncfusion.GridExcelConverter.ConverterOptions.Default);
            Process proc = new Process { StartInfo = { FileName = (sPath + sFile) } };
            proc.Start();

        }
    }
}
